Name:          lanterna
Version:       2.1.9
Release:       1%{?dist}
Summary:       Java library for creating text-based GUIs
License:       LGPLv3+
URL:           https://github.com/mabe02/lanterna
Source0:       https://github.com/mabe02/lanterna/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Lanterna is a Java library allowing you to write
easy semi graphical user interfaces in a text-only
environment, very similar to the C library curses
but with more functionality.

Lanterna is supporting xterm compatible terminals and
terminal emulators such as konsole, gnome-terminal,
putty, xterm and many more. One of the main benefits
of lanterna is that it's not dependent on any native
library but runs 100% in pure Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# Not available
%pom_remove_plugin :clirr-maven-plugin
# Unneeded tasks
%pom_remove_plugin :maven-source-plugin

%mvn_file com.googlecode.%{name}:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license License.txt

%files javadoc -f .mfiles-javadoc
%license License.txt

%changelog
* Sun Dec 20 2015 gil cattaneo <puntogil@libero.it> 2.1.9-1
- initial rpm
